Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class CertificateCallback

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
              be.ehealth.technicalconnector.handler.CertificateCallback

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class CertificateCallback

extends AbstractWsSecurityHandler

The Class CertificateCallback.

Nested Class Summary

Nested classes/interfaces inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
`AbstractWsSecurityHandler.SignedParts, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

Field Summary

Fields inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
`PROP_WSSECHEADER_GENERATOR`

Constructor Summary
`CertificateCallback()`
`CertificateCallback(Credential cred)` Instantiates a new x509 handler
`CertificateCallback(X509Certificate certificate, PrivateKey privateKey)` Instantiates a new x509 handler

Method Summary

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
`buildSignature, handleOutbound`

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, getHeaders, handleFault, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateCallback

    public CertificateCallback()
                        throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

### CertificateCallback

    public CertificateCallback(X509Certificate certificate,
                               PrivateKey privateKey)
                        throws TechnicalConnectorException

  Instantiates a new x509 handler

  Throws:
    `TechnicalConnectorException`

### CertificateCallback

    public CertificateCallback(Credential cred)
                        throws TechnicalConnectorException

  Instantiates a new x509 handler

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.